package com.ruoyi.szxc.mapper;

import com.ruoyi.szxc.domain.SzxcJmTag;

import java.util.List;

/**
 * 居民标签关联Mapper接口
 *
 * @author hs
 * @date 2024-03-30
 */
public interface SzxcJmTagMapper
{
    /**
     * 查询居民标签关联
     *
     * @param id 居民标签关联主键
     * @return 居民标签关联
     */
    public SzxcJmTag selectSzxcJmTagById(Long id);

    /**
     * 查询居民标签关联列表
     *
     * @param szxcJmTag 居民标签关联
     * @return 居民标签关联集合
     */
    public List<SzxcJmTag> selectSzxcJmTagList(SzxcJmTag szxcJmTag);

    /**
     * 新增居民标签关联
     *
     * @param szxcJmTag 居民标签关联
     * @return 结果
     */
    public int insertSzxcJmTag(SzxcJmTag szxcJmTag);

    /**
     * 修改居民标签关联
     *
     * @param szxcJmTag 居民标签关联
     * @return 结果
     */
    public int updateSzxcJmTag(SzxcJmTag szxcJmTag);

    /**
     * 删除居民标签关联
     *
     * @param id 居民标签关联主键
     * @return 结果
     */
    public int deleteSzxcJmTagById(Long id);

    /**
     * 批量删除居民标签关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcJmTagByIds(Long[] ids);

    /**
     * 根据jmid删除
     * @param jmId
     * @return
     */
    public int deleteSzxcJmTagByJmId(Long jmId);
}
